## erlang-p1-yconf 1.0.10

=== Makefile ===
REBAR=./rebar

all: src

src:
	$(REBAR) get-deps compile

clean:
	$(REBAR) clean

distclean: clean
	rm -f config.status
	rm -f config.log
	rm -rf autom4te.cache
	rm -rf deps
	rm -rf ebin
	rm -rf priv
	rm -f vars.config
	rm -f erl_crash.dump
	rm -f compile_commands.json
	rm -rf dialyzer

test: all
	$(REBAR) -v skip_deps=true eunit

xref: all
	$(REBAR) skip_deps=true xref

deps := $(wildcard deps/*/ebin)

dialyzer/erlang.plt:
	@mkdir -p dialyzer
	@dialyzer --build_plt --output_plt dialyzer/erlang.plt \
	-o dialyzer/erlang.log --apps kernel stdlib erts inets; \
	status=$$? ; if [ $$status -ne 2 ]; then exit $$status; else exit 0; fi

dialyzer/deps.plt:
	@mkdir -p dialyzer
	@dialyzer --build_plt --output_plt dialyzer/deps.plt \
	-o dialyzer/deps.log $(deps); \
	status=$$? ; if [ $$status -ne 2 ]; then exit $$status; else exit 0; fi

dialyzer/yconf.plt:
	@mkdir -p dialyzer
	@dialyzer --build_plt --output_plt dialyzer/yconf.plt \
	-o dialyzer/yconf.log ebin; \
	status=$$? ; if [ $$status -ne 2 ]; then exit $$status; else exit 0; fi

erlang_plt: dialyzer/erlang.plt
	@dialyzer --plt dialyzer/erlang.plt --check_plt -o dialyzer/erlang.log; \
	status=$$? ; if [ $$status -ne 2 ]; then exit $$status; else exit 0; fi

deps_plt: dialyzer/deps.plt
	@dialyzer --plt dialyzer/deps.plt --check_plt -o dialyzer/deps.log; \
	status=$$? ; if [ $$status -ne 2 ]; then exit $$status; else exit 0; fi

yconf_plt: dialyzer/yconf.plt
	@dialyzer --plt dialyzer/yconf.plt --check_plt -o dialyzer/yconf.log; \
	status=$$? ; if [ $$status -ne 2 ]; then exit $$status; else exit 0; fi

dialyzer: erlang_plt deps_plt yconf_plt
	@dialyzer --plts dialyzer/*.plt --no_check_plt \
	--get_warnings -Wunmatched_returns -o dialyzer/error.log ebin; \
	status=$$? ; if [ $$status -ne 2 ]; then exit $$status; else exit 0; fi

check-syntax:
	gcc -o nul -S ${CHK_SOURCES}

.PHONY: clean src test all dialyzer erlang_plt deps_plt yconf_plt

## erlang-p1-yconf 0.2019.07.18

=== debian/changelog ===
erlang-p1-yconf (0.2019.07.18-1) unstable; urgency=medium

  * Initial release (Closes: #932801)

 -- Philipp Huebner <debalance@debian.org>  Tue, 23 Jul 2019 21:25:16 +0200

=== debian/control ===
Source: erlang-p1-yconf
Section: libs
Priority: optional
Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 12), dh-rebar, erlang-p1-utils (>= 1.0.15), erlang-p1-yaml (>= 1.0.19)
Standards-Version: 4.4.0
Homepage: https://github.com/processone/yconf
Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-yconf
Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-yconf.git

Package: erlang-p1-yconf
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base (>= 1:19.2) | ${erlang-abi:Depends}, ${erlang:Depends},
 erlang-p1-utils (>= 1.0.15), erlang-p1-yaml (>= 1.0.19)
Description: YAML configuration processor
 This library was written for ejabberd which still uses it.
 It was split off into it's own project to follow
 Erlang/OTP guidelines.

## erlang-p1-yconf 1.0.0

=== debian/changelog ===
erlang-p1-yconf (1.0.0-1) unstable; urgency=medium

  * New upstream version 1.0.0

 -- Philipp Huebner <debalance@debian.org>  Sat, 10 Aug 2019 21:08:05 +0200

=== debian/control ===
Source: erlang-p1-yconf
Section: libs
Priority: optional
Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 12), dh-rebar,
 erlang-p1-utils (>= 1.0.16),
 erlang-p1-yaml (>= 1.0.20)
Standards-Version: 4.4.0
Homepage: https://github.com/processone/yconf
Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-yconf
Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-yconf.git

Package: erlang-p1-yconf
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base (>= 1:19.2) | ${erlang-abi:Depends}, ${erlang:Depends},
 erlang-p1-utils (>= 1.0.16),
 erlang-p1-yaml (>= 1.0.20)
Description: YAML configuration processor
 This library was written for ejabberd which still uses it.
 It was split off into it's own project to follow
 Erlang/OTP guidelines.

## erlang-p1-yconf 1.0.2

=== debian/changelog ===
erlang-p1-yconf (1.0.2-1) unstable; urgency=medium

  * New upstream version 1.0.2
  * Updated Standards-Version: 4.5.0 (no changes needed)
  * Updated Erlang dependencies
  * Updated years in debian/copyright
  * Rules-Requires-Root: no

 -- Philipp Huebner <debalance@debian.org>  Wed, 05 Feb 2020 20:11:25 +0100

erlang-p1-yconf (1.0.1-1) unstable; urgency=medium

  * New upstream version 1.0.1
  * Updated Standards-Version: 4.4.1 (no changes needed)
  * Updated Erlang dependencies
  * Updated debhelper compat version: 12
  * Fixed typo in long package description.

 -- Philipp Huebner <debalance@debian.org>  Mon, 11 Nov 2019 14:45:59 +0100

=== debian/control ===
Source: erlang-p1-yconf
Section: libs
Priority: optional
Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 12),
               dh-rebar,
               erlang-p1-utils (>= 1.0.17),
               erlang-p1-yaml (>= 1.0.22)
Standards-Version: 4.5.0
Homepage: https://github.com/processone/yconf
Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-yconf
Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-yconf.git

Package: erlang-p1-yconf
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
	 erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
	 ${erlang:Depends},
         erlang-p1-utils (>= 1.0.17),
         erlang-p1-yaml (>= 1.0.22)
Description: YAML configuration processor
 This library was written for ejabberd which still uses it.
 It was split off into its own project to follow
 Erlang/OTP guidelines.

=== debian/watch ===
version=3
opts="filenamemangle=s/.*\/v?(\d\S*)\.tar\.gz/erlang-p1-yconf_$1.tar.gz/" \
  https://github.com/processone/yconf/releases .*/v?(\d\S*)\.tar\.gz

## erlang-p1-yconf 1.0.7

=== debian/changelog ===
erlang-p1-yconf (1.0.7-1) unstable; urgency=medium

  * New upstream version 1.0.7
  * Updated Erlang dependencies

 -- Philipp Huebner <debalance@debian.org>  Sun, 02 Aug 2020 18:10:51 +0200

erlang-p1-yconf (1.0.6-1) unstable; urgency=medium

  * New upstream version 1.0.6
  * Updated Erlang dependencies

 -- Philipp Huebner <debalance@debian.org>  Sun, 26 Jul 2020 22:26:03 +0200

erlang-p1-yconf (1.0.4-1) unstable; urgency=medium

  * New upstream version 1.0.4
  * Updated Erlang dependencies

 -- Philipp Huebner <debalance@debian.org>  Sat, 18 Apr 2020 09:23:27 +0200

erlang-p1-yconf (1.0.3-1) unstable; urgency=medium

  * New upstream version 1.0.3
  * Updated Erlang dependencies

 -- Philipp Huebner <debalance@debian.org>  Wed, 18 Mar 2020 13:12:48 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 12),
                dh-rebar,
-               erlang-p1-utils (>= 1.0.17),
-               erlang-p1-yaml (>= 1.0.22)
+               erlang-p1-utils (>= 1.0.20),
+               erlang-p1-yaml (>= 1.0.27)
 Standards-Version: 4.5.0
 Homepage: https://github.com/processone/yconf
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-yconf
@@ -19,8 +19,8 @@
          ${misc:Depends},
 	 erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
 	 ${erlang:Depends},
-         erlang-p1-utils (>= 1.0.17),
-         erlang-p1-yaml (>= 1.0.22)
+         erlang-p1-utils (>= 1.0.20),
+         erlang-p1-yaml (>= 1.0.27)
 Description: YAML configuration processor
  This library was written for ejabberd which still uses it.
  It was split off into its own project to follow

## erlang-p1-yconf 1.0.10

=== debian/changelog ===
erlang-p1-yconf (1.0.10-2) unstable; urgency=medium

  * Corrected Multi-Arch setting to "allowed"

 -- Philipp Huebner <debalance@debian.org>  Sun, 31 Jan 2021 19:35:53 +0100

erlang-p1-yconf (1.0.10-1) unstable; urgency=medium

  * New upstream version 1.0.10
  * Added 'Multi-Arch: same' in debian/control
  * Updated Erlang dependencies
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Sat, 30 Jan 2021 19:07:26 +0100

erlang-p1-yconf (1.0.9-1) unstable; urgency=medium

  * New upstream version 1.0.9
  * Updated Standards-Version: 4.5.1 (no changes needed)
  * Updated Erlang dependencies
  * Updated version of debian/watch: 4
  * Updated debhelper compat version: 13
  * Updated lintian overrides
  * Added debian/erlang-p1-yconf.install

 -- Philipp Huebner <debalance@debian.org>  Sat, 26 Dec 2020 00:43:10 +0100

=== debian/control ===
Source: erlang-p1-yconf
Section: libs
Priority: optional
Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-rebar,
               erlang-p1-utils (>= 1.0.21),
               erlang-p1-yaml (>= 1.0.30)
Standards-Version: 4.5.1
Homepage: https://github.com/processone/yconf
Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-yconf
Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-yconf.git

Package: erlang-p1-yconf
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
	 erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
	 ${erlang:Depends},
         erlang-p1-utils (>= 1.0.21),
         erlang-p1-yaml (>= 1.0.30)
Multi-Arch: allowed
Description: YAML configuration processor
 This library was written for ejabberd which still uses it.
 It was split off into its own project to follow
 Erlang/OTP guidelines.

=== debian/watch ===
version=4
opts="filenamemangle=s/.*\/v?(\d\S*)\.tar\.gz/erlang-p1-yconf_$1.tar.gz/" \
  https://github.com/processone/yconf/releases .*/v?(\d\S*)\.tar\.gz

## erlang-p1-yconf 1.0.12

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,12 @@
-REBAR=./rebar
+REBAR ?= ./rebar
+
+IS_REBAR3:=$(shell expr `$(REBAR) --version | awk -F '[ .]' '/rebar / {print $$2}'` '>=' 3)
 
 all: src
 
 src:
-	$(REBAR) get-deps compile
+	$(REBAR) get-deps
+	$(REBAR) compile
 
 clean:
 	$(REBAR) clean
@@ -12,8 +15,11 @@
 	rm -f config.status
 	rm -f config.log
 	rm -rf autom4te.cache
+	rm -rf _build
 	rm -rf deps
 	rm -rf ebin
+	rm -f rebar.lock
+	rm -f test/*.beam
 	rm -rf priv
 	rm -f vars.config
 	rm -f erl_crash.dump
@@ -21,11 +27,15 @@
 	rm -rf dialyzer
 
 test: all
-	$(REBAR) -v skip_deps=true eunit
+	$(REBAR) eunit
 
 xref: all
-	$(REBAR) skip_deps=true xref
+	$(REBAR) xref
 
+ifeq "$(IS_REBAR3)" "1"
+dialyzer:
+	$(REBAR) dialyzer
+else
 deps := $(wildcard deps/*/ebin)
 
 dialyzer/erlang.plt:
@@ -62,6 +72,7 @@
 	@dialyzer --plts dialyzer/*.plt --no_check_plt \
 	--get_warnings -Wunmatched_returns -o dialyzer/error.log ebin; \
 	status=$$? ; if [ $$status -ne 2 ]; then exit $$status; else exit 0; fi
+endif
 
 check-syntax:
 	gcc -o nul -S ${CHK_SOURCES}

=== debian/changelog ===
erlang-p1-yconf (1.0.12-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Philipp Huebner ]
  * Updated debian/watch

 -- Philipp Huebner <debalance@debian.org>  Mon, 20 Dec 2021 19:43:44 +0100

erlang-p1-yconf (1.0.12-1) unstable; urgency=medium

  * New upstream version 1.0.12
  * Updated Standards-Version: 4.6.0 (no changes needed)
  * Updated Erlang dependencies

 -- Philipp Huebner <debalance@debian.org>  Sun, 29 Aug 2021 22:03:56 +0200

=== debian/control ===
Source: erlang-p1-yconf
Section: libs
Priority: optional
Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-rebar,
               erlang-p1-utils (>= 1.0.23),
               erlang-p1-yaml (>= 1.0.32)
Standards-Version: 4.6.0
Homepage: https://github.com/processone/yconf
Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-yconf
Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-yconf.git

Package: erlang-p1-yconf
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
	 erlang-base | ${erlang-abi:Depends},
	 ${erlang:Depends},
         erlang-p1-utils (>= 1.0.23),
         erlang-p1-yaml (>= 1.0.32)
Multi-Arch: allowed
Description: YAML configuration processor
 This library was written for ejabberd which still uses it.
 It was split off into its own project to follow
 Erlang/OTP guidelines.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/default.mk
export ERL_COMPILER_OPTIONS=deterministic

DESTDIR=$(CURDIR)/debian/erlang-p1-yconf


%:
	dh $@ --buildsystem=rebar --with rebar

## erlang-p1-yconf 1.0.13

=== debian/changelog ===
erlang-p1-yconf (1.0.13-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Philipp Huebner <debalance@debian.org>  Sun, 12 Jun 2022 00:37:09 +0200

erlang-p1-yconf (1.0.13-1) unstable; urgency=medium

  * New upstream version 1.0.13
  * Updated Standards-Version: 4.6.1 (no changes needed)
  * Updated Erlang dependencies
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Thu, 02 Jun 2022 12:56:29 +0200

=== debian/control ===
Source: erlang-p1-yconf
Section: libs
Priority: optional
Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-rebar (>= 0.0.6~),
               erlang-p1-utils (>= 1.0.25),
               erlang-p1-yaml (>= 1.0.33)
Standards-Version: 4.6.1
Homepage: https://github.com/processone/yconf
Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-yconf
Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-yconf.git

Package: erlang-p1-yconf
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
	 erlang-base, ${erlang-abi:Depends},
	 ${erlang:Depends},
         erlang-p1-utils (>= 1.0.25),
         erlang-p1-yaml (>= 1.0.33)
Multi-Arch: allowed
Description: YAML configuration processor
 This library was written for ejabberd which still uses it.
 It was split off into its own project to follow
 Erlang/OTP guidelines.

## erlang-p1-yconf 1.0.14

=== debian/changelog ===
erlang-p1-yconf (1.0.14-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Philipp Huebner <debalance@debian.org>  Thu, 10 Nov 2022 16:14:11 +0100

erlang-p1-yconf (1.0.14-1) unstable; urgency=medium

  * New upstream version 1.0.14
  * Updated Erlang dependencies
  * Refreshed debian/patches/rebar.config.diff

 -- Philipp Huebner <debalance@debian.org>  Wed, 02 Nov 2022 15:05:13 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-rebar (>= 0.0.6~),
                erlang-p1-utils (>= 1.0.25),
-               erlang-p1-yaml (>= 1.0.33)
+               erlang-p1-yaml (>= 1.0.34)
 Standards-Version: 4.6.1
 Homepage: https://github.com/processone/yconf
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-yconf
@@ -20,7 +20,7 @@
 	 erlang-base, ${erlang-abi:Depends},
 	 ${erlang:Depends},
          erlang-p1-utils (>= 1.0.25),
-         erlang-p1-yaml (>= 1.0.33)
+         erlang-p1-yaml (>= 1.0.34)
 Multi-Arch: allowed
 Description: YAML configuration processor
  This library was written for ejabberd which still uses it.

## erlang-p1-yconf 1.0.15

=== debian/changelog ===
erlang-p1-yconf (1.0.15-2) unstable; urgency=medium

  * Dropped debian/erlang-p1-yconf.install and fixed debian/rules
    (closes: #1044446)
  * Updated lintian overrides
  * Renamed debian/erlang-p1-yconf.lintian-overrides
    -> debian/lintian-overrides
  * Updated debian/patches/rebar.config.diff

 -- Philipp Huebner <debalance@debian.org>  Tue, 26 Dec 2023 22:50:44 +0100

erlang-p1-yconf (1.0.15-1) unstable; urgency=medium

  [ Philipp Huebner ]
  * New upstream version 1.0.15
  * Refreshed patches
  * Updated Erlang dependencies
  * Updated Standards-Version: 4.6.2 (no changes needed)
  * Updated years in debian/copyright

  [ Debian Janitor ]
  * Update renamed lintian tag names in lintian overrides.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete field Contact from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- Philipp Huebner <debalance@debian.org>  Wed, 08 Feb 2023 20:52:51 +0100

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: Philipp Huebner <debalance@debian.org>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
-               dh-rebar (>= 0.0.6~),
+               dh-rebar (>= 0.0.6),
                erlang-p1-utils (>= 1.0.25),
-               erlang-p1-yaml (>= 1.0.34)
-Standards-Version: 4.6.1
+               erlang-p1-yaml (>= 1.0.36)
+Standards-Version: 4.6.2
 Homepage: https://github.com/processone/yconf
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-yconf
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-yconf.git
@@ -20,7 +20,7 @@
 	 erlang-base, ${erlang-abi:Depends},
 	 ${erlang:Depends},
          erlang-p1-utils (>= 1.0.25),
-         erlang-p1-yaml (>= 1.0.34)
+         erlang-p1-yaml (>= 1.0.36)
 Multi-Arch: allowed
 Description: YAML configuration processor
  This library was written for ejabberd which still uses it.

=== debian/rules ===
--- 
+++ 
@@ -9,3 +9,8 @@
 
 %:
 	dh $@ --buildsystem=rebar --with rebar
+
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -rf test/included.yml test/test.yml

## erlang-p1-yconf 1.0.16

=== debian/changelog ===
erlang-p1-yconf (1.0.16-1) unstable; urgency=medium

  * New upstream version 1.0.16
  * Updated Erlang dependencies
  * Updated debian/patches/rebar.config.diff

 -- Philipp Huebner <debalance@debian.org>  Thu, 03 Oct 2024 21:30:14 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-rebar (>= 0.0.6),
-               erlang-p1-utils (>= 1.0.25),
-               erlang-p1-yaml (>= 1.0.36)
+               erlang-p1-utils (>= 1.0.26),
+               erlang-p1-yaml (>= 1.0.37)
 Standards-Version: 4.6.2
 Homepage: https://github.com/processone/yconf
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-yconf
@@ -19,8 +19,8 @@
          ${misc:Depends},
 	 erlang-base, ${erlang-abi:Depends},
 	 ${erlang:Depends},
-         erlang-p1-utils (>= 1.0.25),
-         erlang-p1-yaml (>= 1.0.36)
+         erlang-p1-utils (>= 1.0.26),
+         erlang-p1-yaml (>= 1.0.37)
 Multi-Arch: allowed
 Description: YAML configuration processor
  This library was written for ejabberd which still uses it.

## erlang-p1-yconf 1.0.17

=== debian/changelog ===
erlang-p1-yconf (1.0.17-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Philipp Huebner <debalance@debian.org>  Fri, 04 Apr 2025 12:20:44 +0200

erlang-p1-yconf (1.0.17-1) unstable; urgency=medium

  * New upstream version 1.0.17
  * Updated Standards-Version: 4.7.0 (no changes needed)
  * Updated years in debian/copyright
  * debian/rules: add creation of symbolic link for native app name
  * Removed debian/patches/ because it is no longer needed

 -- Philipp Huebner <debalance@debian.org>  Sun, 09 Feb 2025 11:21:19 +0100

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: Philipp Huebner <debalance@debian.org>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
-               dh-rebar (>= 0.0.6),
+               dh-rebar (>= 0.0.6~),
                erlang-p1-utils (>= 1.0.26),
-               erlang-p1-yaml (>= 1.0.37)
-Standards-Version: 4.6.2
+               erlang-p1-yaml (>= 1.0.37-2~)
+Standards-Version: 4.7.0
 Homepage: https://github.com/processone/yconf
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-yconf
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-yconf.git
@@ -20,7 +20,7 @@
 	 erlang-base, ${erlang-abi:Depends},
 	 ${erlang:Depends},
          erlang-p1-utils (>= 1.0.26),
-         erlang-p1-yaml (>= 1.0.37)
+         erlang-p1-yaml (>= 1.0.37-2~)
 Multi-Arch: allowed
 Description: YAML configuration processor
  This library was written for ejabberd which still uses it.

=== debian/rules ===
--- 
+++ 
@@ -14,3 +14,8 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -rf test/included.yml test/test.yml
+
+override_dh_auto_install:
+	dh_auto_install
+	install -m 755 -d $(DESTDIR)/usr/lib/erlang/lib
+	ln -s /usr/lib/erlang/lib/p1_yconf-$(DEB_VERSION_UPSTREAM) $(DESTDIR)/usr/lib/erlang/lib/yconf-$(DEB_VERSION_UPSTREAM)

## erlang-p1-yconf 1.0.22

=== debian/changelog ===
erlang-p1-yconf (1.0.22-1) unstable; urgency=medium

  * Team upload.
  * Update watch file to version 5.
  * New upstream version.

 -- Dominik George <natureshadow@debian.org>  Wed, 11 Feb 2026 18:17:18 +0000

=== debian/watch ===
Version: 5
Template: GitHub
Dist: https://github.com/processone/yconf
